## lp-solve 3.0

=== Makefile ===
CC= cc

#should be OK in most situations:
#CFLAGS= -O

# HP/UX 9.0X optimized code
CFLAGS= +O3 +Oaggressive +Olibcalls -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
# HP/UX 9.0X debugging
#CFLAGS= -g -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD

# nice for gcc
#CFLAGS= -O3 -Wall -pedantic -ansi
#CFLAGS= -g -Wall -pedantic -ansi

# Option -DCHECK checks for numerical problems during rounding of numbers.
# It will slow things down a bit.
# You can add a -DREAL=<float type> to the CFLAGS, to change the default float
# type used in lp_solve (double) to float or 'long double'. However, type float
# might be fast on your computer, but it is not accurate enough to solve even
# moderately sized problems without running into numerical problems.
# The use of long doubles does increase the numerical stability of lp_solve,
# if your compiler actually implements them with more bits than a double. But
# it slows down things quite a bit.

# Choose your favorite or available version of lex and yacc

YACC= yacc
#especially for linux:
#YACC= bison -y

LEX= lex
#especially for linux:
#LEX= flex -l

LEXLIB= -ll
#especially for linux:
#LEXLIB= -lfl

#ANSI math lib
MATHLIB= -lM
#non-ANSI math lib, should also work
#MATHLIB= -lm

LPKSRC.c= lpkit.c solve.c debug.c read.c readmps.c hash.c presolve.c
LEXFILE.l= lex.l
YACCFILE.y= lp.y
TESTFILES= lp_examples/ex1.lp lp_examples/ex2.lp lp_examples/ex3.lp lp_examples/ex4.lp lp_examples/ex5.lp lp_examples/ex6.lp lp_examples/ex7.lp

TARGET=lp_solve
LPKLIB=liblpk.a

LEXFILE.c= $(LEXFILE.l:.l=.c)
YACCFILE.c= $(YACCFILE.y:.y=.c)
YACCFILE.o= $(YACCFILE.y:.y=.o)
CSOURCES=lpkit.c solve.c debug.c read.c readmps.c lp_solve.c demo.c hash.c presolve.c $(LEXFILE.c) $(YACCFILE.c)
COBJ=$(CSOURCES:.c=.o)
LPKSRC= $(LPKSRC.c) $(YACCFILE.c)
LPKOBJ= $(LPKSRC:.c=.o)
HEADERS=lpkit.h lpglob.h patchlevel.h debug.h read.h hash.h

all:	demo $(TARGET) lp2mps mps2lp

$(COBJ): $(HEADERS)

demo:	demo.o $(LPKLIB)
	$(CC) -o demo $(CFLAGS) demo.o $(LPKLIB) $(LEXLIB) $(MATHLIB)

lp2mps:	lp2mps.o $(LPKLIB)
	$(CC) -o lp2mps $(CFLAGS) lp2mps.o $(LPKLIB) $(LEXLIB) $(MATHLIB)

mps2lp: mps2lp.o $(LPKLIB)
	$(CC) -o mps2lp $(CFLAGS) mps2lp.o $(LPKLIB) $(LEXLIB) $(MATHLIB)

$(TARGET): lp_solve.o $(LPKLIB)
	$(CC) -o $(TARGET) $(CFLAGS) lp_solve.o $(LPKLIB) $(LEXLIB) $(MATHLIB)

purify: lp_solve.o $(LPKLIB)
	purify $(CC) -o $(TARGET) $(CFLAGS) lp_solve.o $(LPKLIB) $(LEXLIB) $(MATHLIB)

quantify: lp_solve.o $(LPKLIB)
	quantify $(CC) -o $(TARGET) $(CFLAGS) lp_solve.o $(LPKLIB) $(LEXLIB) $(MATHLIB)

$(LPKLIB): $(LPKOBJ)
	ar rv $@ $(LPKOBJ)
	ranlib $(LPKLIB)

$(YACCFILE.o): $(LEXFILE.c)

$(LEXFILE.c): $(LEXFILE.l)
	$(LEX) $(LEXFILE.l)
	mv lex.yy.c $(LEXFILE.c)

$(YACCFILE.c): $(YACCFILE.y)
	$(YACC) $(YACCFILE.y)
	mv y.tab.c $(YACCFILE.c)

test:
	-for i in $(TESTFILES); do\
		./$(TARGET) -p -s -time < $$i > xxx.tmp;\
		if diff xxx.tmp lp_examples/`basename $$i .lp`.out > /dev/null; then\
			echo "$$i gives the correct result";\
		else\
			echo "*** $$i gives different result, please check ***";\
		fi;\
	done;\
	rm xxx.tmp

$(TARGET).man: $(TARGET).1
	nroff -man $(TARGET).1 > $(TARGET).man

MANIFEST: clean
	ls -lR > MANIFEST; ls -lR > MANIFEST

clean:
	rm -f *.a *.o TAGS $(LEXFILE.c) $(YACCFILE.c) demo $(TARGET) lp2mps mps2lp .pure .softdebughist datafile

distrib: $(TARGET).man MANIFEST
	cd ..; tar -czvf lp_solve_3.0.tar.gz lp_solve_3.0

TAGS:
	etags *.[chyl]

## lp-solve 3.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-CC= cc
+CC= gcc
 
 #should be OK in most situations:
-#CFLAGS= -O
+CFLAGS= -O
 
 # HP/UX 9.0X optimized code
-CFLAGS= +O3 +Oaggressive +Olibcalls -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
+#CFLAGS= +O3 +Oaggressive +Olibcalls -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
 # HP/UX 9.0X debugging
 #CFLAGS= -g -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
 
@@ -24,22 +24,22 @@
 
 # Choose your favorite or available version of lex and yacc
 
-YACC= yacc
+#YACC= yacc
 #especially for linux:
-#YACC= bison -y
+YACC= bison -y
 
-LEX= lex
+#LEX= lex
 #especially for linux:
-#LEX= flex -l
+LEX= flex -l
 
 LEXLIB= -ll
 #especially for linux:
 #LEXLIB= -lfl
 
 #ANSI math lib
-MATHLIB= -lM
+#MATHLIB= -lM
 #non-ANSI math lib, should also work
-#MATHLIB= -lm
+MATHLIB= -lm
 
 LPKSRC.c= lpkit.c solve.c debug.c read.c readmps.c hash.c presolve.c
 LEXFILE.l= lex.l
@@ -115,7 +115,7 @@
 	rm -f *.a *.o TAGS $(LEXFILE.c) $(YACCFILE.c) demo $(TARGET) lp2mps mps2lp .pure .softdebughist datafile
 
 distrib: $(TARGET).man MANIFEST
-	cd ..; tar -czvf lp_solve_3.0.tar.gz lp_solve_3.0
+	cd ..; tar -cvf - lp_solve_3.2 | gzip --best > lp_solve_3.2.tar.gz
 
 TAGS:
 	etags *.[chyl]

## lp-solve 4.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CC= gcc
 
 #should be OK in most situations:
-CFLAGS= -O
+#CFLAGS= -O
 
 # HP/UX 9.0X optimized code
 #CFLAGS= +O3 +Oaggressive +Olibcalls -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
@@ -9,7 +9,7 @@
 #CFLAGS= -g -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
 
 # nice for gcc
-#CFLAGS= -O3 -Wall -pedantic -ansi
+CFLAGS= -O3 -Wall -pedantic -ansi
 #CFLAGS= -g -Wall -pedantic -ansi
 
 # Option -DCHECK checks for numerical problems during rounding of numbers.
@@ -32,9 +32,9 @@
 #especially for linux:
 LEX= flex -l
 
-LEXLIB= -ll
+#LEXLIB= -ll
 #especially for linux:
-#LEXLIB= -lfl
+LEXLIB= -lfl
 
 #ANSI math lib
 #MATHLIB= -lM
@@ -44,7 +44,8 @@
 LPKSRC.c= lpkit.c solve.c debug.c read.c readmps.c hash.c presolve.c
 LEXFILE.l= lex.l
 YACCFILE.y= lp.y
-TESTFILES= lp_examples/ex1.lp lp_examples/ex2.lp lp_examples/ex3.lp lp_examples/ex4.lp lp_examples/ex5.lp lp_examples/ex6.lp lp_examples/ex7.lp
+TESTFILES1= lp_examples/*.lp
+TESTFILES2= lp_examples/*.mps
 
 TARGET=lp_solve
 LPKLIB=liblpk.a
@@ -56,7 +57,7 @@
 COBJ=$(CSOURCES:.c=.o)
 LPKSRC= $(LPKSRC.c) $(YACCFILE.c)
 LPKOBJ= $(LPKSRC:.c=.o)
-HEADERS=lpkit.h lpglob.h patchlevel.h debug.h read.h hash.h
+HEADERS=lpkit.h lpglob.h patchlevel.h debug.h read.h hash.h declare.h ufortify.h fortify.h
 
 all:	demo $(TARGET) lp2mps mps2lp
 
@@ -95,15 +96,31 @@
 	mv y.tab.c $(YACCFILE.c)
 
 test:
-	-for i in $(TESTFILES); do\
-		./$(TARGET) -p -s -time < $$i > xxx.tmp;\
+	-for i in $(TESTFILES1); do\
+		./$(TARGET) -p -s -S3 -time < $$i > xxx.tmp;\
 		if diff xxx.tmp lp_examples/`basename $$i .lp`.out > /dev/null; then\
 			echo "$$i gives the correct result";\
 		else\
 			echo "*** $$i gives different result, please check ***";\
 		fi;\
 	done;\
-	rm xxx.tmp
+	for i in $(TESTFILES2); do\
+		./$(TARGET) -mps -p -s -S3 -time < $$i > xxx.tmp;\
+		if diff xxx.tmp lp_examples/`basename $$i .mps`.out > /dev/null; then\
+			echo "$$i gives the correct result";\
+		else\
+			echo "*** $$i gives different result, please check ***";\
+		fi;\
+	done;\
+        rm xxx.tmp
+
+mktest:
+	-for i in $(TESTFILES1); do\
+		./$(TARGET) -p -s -S3 -time < $$i > lp_examples/`basename $$i .lp`.out;\
+	done;\
+	for i in $(TESTFILES2); do\
+		./$(TARGET) -mps -p -s -S3 -time < $$i > lp_examples/`basename $$i .mps`.out;\
+	done;\
 
 $(TARGET).man: $(TARGET).1
 	nroff -man $(TARGET).1 > $(TARGET).man
@@ -115,7 +132,7 @@
 	rm -f *.a *.o TAGS $(LEXFILE.c) $(YACCFILE.c) demo $(TARGET) lp2mps mps2lp .pure .softdebughist datafile
 
 distrib: $(TARGET).man MANIFEST
-	cd ..; tar -cvf - lp_solve_3.2 | gzip --best > lp_solve_3.2.tar.gz
+	cd ..; tar -czvf lp_solve_4.0.tar.gz lp_solve_4.0
 
 TAGS:
 	etags *.[chyl]

## lp-solve 5.5.0.13

=== debian/changelog ===
lp-solve (5.5.0.13-7build2) xenial; urgency=medium

  * No-change rebuild against suitesparse 1:4.4.5-2

 -- Graham Inggs <graham@nerve.org.za>  Tue, 01 Dec 2015 16:50:15 +0200

lp-solve (5.5.0.13-7build1) trusty; urgency=medium

  * Rebuild for suitesparse 4.2.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Dec 2013 15:29:04 +0000

lp-solve (5.5.0.13-7) unstable; urgency=low

  * move to "3.0 (quilt)" format; move downloaded docs into extra docs
    tarball and move change from 5.5.0.10-6 from only in .diff.gz (oops!)
    to proper patch
  * include headers needed for plugin libraries (closes: #555830), thanks
    Matthias Kümmerer
  * add ${misc:Depends} 
  * remove debian/watch (closes: #529154) 

 -- Rene Engelhard <rene@debian.org>  Thu, 03 Dec 2009 23:55:09 +0100

lp-solve (5.5.0.13-6) unstable; urgency=low

  * build against suitesparse 3.4.0 (libcolamd2.7.1)

 -- Rene Engelhard <rene@debian.org>  Wed, 10 Jun 2009 22:59:02 +0200

lp-solve (5.5.0.13-5) unstable; urgency=low

  * make liblpsolve55-dev depend on libsuitesparse-dev (closes: #524295) 

 -- Rene Engelhard <rene@debian.org>  Wed, 06 May 2009 11:22:45 +0200

lp-solve (5.5.0.13-4) unstable; urgency=low

  * rebuild with suitesparse 1:3.2.0-2 to only get a dep on libcolamd-3.2.0
  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Feb 2009 22:53:00 +0100

lp-solve (5.5.0.13-3) experimental; urgency=low

  * build against suitesparse 3.2.0 

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Jan 2009 23:27:10 +0100

lp-solve (5.5.0.13-2) experimental; urgency=low

  * add Homepage: (closes: #509917) 

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Dec 2008 14:21:47 +0100

lp-solve (5.5.0.13-1) experimental; urgency=low

  * New upstream release (closes: #507462)

 -- Rene Engelhard <rene@debian.org>  Mon, 01 Dec 2008 19:57:10 +0100

lp-solve (5.5.0.10-10) unstable; urgency=low

  * build against libsuitesparse-3.1.0 

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Feb 2008 07:05:14 +0100

lp-solve (5.5.0.10-9) unstable; urgency=low

  * build liblpsolve55.so with -fPIC instead of -fpic and
    revert last -fpic change

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Oct 2007 00:32:42 +0200

lp-solve (5.5.0.10-8) unstable; urgency=low

  * also specify -fpic when linking liblpsolve55.so
  * run ccc using -e

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Sep 2007 20:56:40 +0200

lp-solve (5.5.0.10-7) unstable; urgency=low

  * build wih -O2 on alpha to work around ICE

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Sep 2007 13:18:30 +0200

lp-solve (5.5.0.10-6) unstable; urgency=low

  * add patch from upstream to fix segmentation faults with xli_CPLEX
    (closes: #439232)

 -- Rene Engelhard <rene@debian.org>  Mon, 03 Sep 2007 02:03:06 +0200

lp-solve (5.5.0.10-5) unstable; urgency=low

  * fix Recommends on liblpsolve55-dev to also point to suitesparse 

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Jul 2007 23:23:04 +0200

lp-solve (5.5.0.10-4) unstable; urgency=high

  * build against suitesparse
  * use debian/compat

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Jul 2007 10:09:13 +0200

lp-solve (5.5.0.10-3) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Feb 2007 16:05:35 +0100

lp-solve (5.5.0.10-2) experimental; urgency=low

  * /usr/lib/lp-solve -> /usr/lib/lp_solve

 -- Rene Engelhard <rene@debian.org>  Fri, 16 Feb 2007 20:06:50 +0100

lp-solve (5.5.0.10-1) experimental; urgency=low

  * New upstream release
  * add documentation from lpsolve.sourceforge.net/5.5
    (closes: #377333); remove images, though (diff...) and
    link them to the online version to prevent needing uu* them
  * install liblpsolve55.so into /usr/lib/lp_solve, because it might
    be needed by additional stuff
  * link lp_solve against liblpsolve55.so

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Jan 2007 12:50:07 +0100

lp-solve (5.5-4) unstable; urgency=high

  * stop shipping "demo" (closes: #3921401) 

 -- Rene Engelhard <rene@debian.org>  Sun, 15 Oct 2006 17:59:29 +0200

lp-solve (5.5-3) unstable; urgency=low

  * install demo
  * libufsparse[-dev] is now available on mips*, so build with system-colamd
    there, too
  * move libufsparse-dev Suggests to Recommends and fix typo in it 

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Jul 2006 23:45:35 +0200

lp-solve (5.5-2) unstable; urgency=low

  * don't build with system-colamd on mips* since we don't have
    libufsparse[-dev] there...
  * move liblpsolve55-dev to libdevel instead of math 

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Jun 2006 10:15:05 +0200

lp-solve (5.5-1) unstable; urgency=low

  * add Anibal Monsalve Salazar and myself to Uploaders:
  * New upstream release (closes: #262512, #372754)
  * clean up debian/
  * build _pic version of the library; OOo will link us into a shared lib
  * split liblpsolve55*.a and includes out into an own package
  * debian/README.Debian: update
  * fix debian/copyright (closes: #290213)
  * build with system libcolamd; build-dep on libufsparse-dev
  * drop conflicts against pcx, not needed anymore
  * debian/NEWS: add, mention changes
  * Suggest libufsparse-dev from liblpsove55-dev

 -- Rene Engelhard <rene@debian.org>  Mon, 19 Jun 2006 12:43:52 +0200

lp-solve (4.0-4) unstable; urgency=low

  * New maintainer.

 -- Juan Esteban Monsalve Tobon <esteban@v7w.com>  Sun, 10 Apr 2005 11:11:57 +1000

lp-solve (4.0-3) unstable; urgency=low

  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 Feb 2005 00:30:10 +1100

lp-solve (4.0-2) unstable; urgency=low

  * New maintainer.
  * New upstream location. (Closes: #234399)
    Updated debian/{copyright,control}

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Wed, 18 Aug 2004 13:00:42 +1000

lp-solve (4.0-1) unstable; urgency=low

  * New upstream release (closes:bug#175782)
  * debian/rules: install declare.h, resource.h, unfortify.h


=== debian/control ===
Source: lp-solve
Section: math
Priority: optional
Maintainer: Juan Esteban Monsalve Tobon <esteban@v7w.com>
Uploaders: Rene Engelhard <rene@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>= 4), libsuitesparse-dev (>= 1:3.4.0)
Standards-Version: 3.7.2
Homepage: http://lpsolve.sourceforge.net

Package: lp-solve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Solve (mixed integer) linear programming problems
 The linear programming (LP) problem can be formulated as: Solve A.x >=
 V1, with V2.x maximal. A is a matrix, x is a vector of (nonnegative)
 variables, V1 is a vector called the right hand side, and V2 is a vector
 specifying the objective function.
 .
 An integer linear programming (ILP) problem is an LP with the
 constraint that all the variables are integers.  In a mixed integer
 linear programming (MILP) problem, some of the variables are integer
 and others are real.
 .
 The program lp_solve solves LP, ILP, and MILP problems. It is slightly
 more general than suggested above, in that every row of A (specifying
 one constraint) can have its own (in)equality, <=, >= or =. The result
 specifies values for all variables.
 .
 lp_solve uses the 'Simplex' algorithm and sparse matrix methods for
 pure LP problems.  If one or more of the variables is declared
 integer, the Simplex algorithm is iterated with a branch and bound
 algorithm, until the desired optimal solution is found.  lp_solve can
 read MPS format input files.
 .
 Homepage http://www.geocities.com/lpsolve/

Package: lp-solve-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: www-browser
Description: Solve (mixed integer) linear programming problems - documentation
 The linear programming (LP) problem can be formulated as: Solve A.x >=
 V1, with V2.x maximal. A is a matrix, x is a vector of (nonnegative)
 variables, V1 is a vector called the right hand side, and V2 is a vector
 specifying the objective function.
 .
 An integer linear programming (ILP) problem is an LP with the
 constraint that all the variables are integers.  In a mixed integer
 linear programming (MILP) problem, some of the variables are integer
 and others are real.
 .
 The program lp_solve solves LP, ILP, and MILP problems. It is slightly
 more general than suggested above, in that every row of A (specifying
 one constraint) can have its own (in)equality, <=, >= or =. The result
 specifies values for all variables.
 .
 lp_solve uses the 'Simplex' algorithm and sparse matrix methods for
 pure LP problems.  If one or more of the variables is declared
 integer, the Simplex algorithm is iterated with a branch and bound
 algorithm, until the desired optimal solution is found.  lp_solve can
 read MPS format input files.
 .
 This package contains the documentation for the lp_solve program and
 the library.
 .
 Homepage http://www.geocities.com/lpsolve/

Package: liblpsolve55-dev
Section: libdevel
Architecture: any
Depends: libsuitesparse-dev, ${misc:Depends}
Description: Solve (mixed integer) linear programming problems - library
 The linear programming (LP) problem can be formulated as: Solve A.x >=
 V1, with V2.x maximal. A is a matrix, x is a vector of (nonnegative)
 variables, V1 is a vector called the right hand side, and V2 is a vector
 specifying the objective function.
 .
 An integer linear programming (ILP) problem is an LP with the
 constraint that all the variables are integers.  In a mixed integer
 linear programming (MILP) problem, some of the variables are integer
 and others are real.
 .
 The program lp_solve solves LP, ILP, and MILP problems. It is slightly
 more general than suggested above, in that every row of A (specifying
 one constraint) can have its own (in)equality, <=, >= or =. The result
 specifies values for all variables.
 .
 lp_solve uses the 'Simplex' algorithm and sparse matrix methods for
 pure LP problems.  If one or more of the variables is declared
 integer, the Simplex algorithm is iterated with a branch and bound
 algorithm, until the desired optimal solution is found.  lp_solve can
 read MPS format input files.
 .
 This package contains the static library for developing programs using
 liblpsolve.
 .
 Homepage http://www.geocities.com/lpsolve/

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
# Copyright (C) 2004-2005 Anibal Monsalve Salazar <anibal@debian.org>.
# Copyright (C) 2005 Juan Esteban Monsalve Tobon <esteban@v7w.com>.
# Copyright (C) 2006-2009 Rene Engelhard <rene@debian.org>
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	cd lpsolve55 && bash -x -e ccc
	cd lp_solve && bash -x -e ccc

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	cd lpsolve55 && rm -f *.o && rm -f liblpsolve55*
	cd lp_solve && rm -f *.o && rm -f lp_solve

	rm -f build-stamp install-stamp

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -D -m 755 lp_solve/lp_solve debian/lp-solve/usr/bin/lp_solve
	install -D -m 644 lpsolve55/liblpsolve55.a debian/liblpsolve55-dev/usr/lib/liblpsolve55.a
	install -m 644 lpsolve55/liblpsolve55_pic.a debian/liblpsolve55-dev/usr/lib/liblpsolve55_pic.a
	install -D -m 644 lpsolve55/liblpsolve55.so debian/lp-solve/usr/lib/lp_solve/liblpsolve55.so
	install -d debian/liblpsolve55-dev/usr/include/lpsolve
	for x in lp_*.h; do \
	   install -m 644 $$x debian/liblpsolve55-dev/usr/include/lpsolve/$$x;		\
	done
	install -m 644 shared/*.h debian/liblpsolve55-dev/usr/include/lpsolve/ 
	touch install-stamp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README.txt
	dh_installdocs -plp-solve-doc docs/5.5/*
	dh_installexamples -pliblpsolve55-dev demo/demo.c
	# the additional gifs and jpgs were not included due to diff.gz reasons. Link to
	# online copies
	for i in `find debian/lp-solve-doc/usr/share/doc/lp-solve-doc -name "*.htm*"`; do \
		perl -pi -e 's,src=\",src=\"http://lpsolve.sourceforge.net/5.5/,g' $$i; \
	done
	dh_installmenu
	dh_installcron
	dh_installmanpages
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress -X demo.c
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## lp-solve 5.5.0.15

=== Makefile ===
CC= gcc

MINGW_EXTRA = c:/cygwin/mingw
MINGW_INCDIR = $(MINGW_EXTRA)/include
MINGW_LIBDIR = $(MINGW_EXTRA)/lib

AS = as
DLLTOOL = dlltool
DLLWRAP = dllwrap
DLLWRAP_FLAGS = --dlltool-name=$(DLLTOOL) --as=$(AS) --driver-name=$(CC) \
		--target=i386-mingw32 

DLL_LDFLAGS = -L$(MINGW_LIBDIR) -mno-cygwin -mwindows
DLL_LDLIBS = liblpk.a

#
# Beginning of supplied stuff
#

#should be OK in most situations:
#CFLAGS= -O

# HP/UX 9.0X optimized code
#CFLAGS= +O3 +Oaggressive +Olibcalls -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
# HP/UX 9.0X debugging
#CFLAGS= -g -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD

# nice for gcc
CFLAGS= -O3 -Wall -pedantic -ansi -mrtd
#CFLAGS= -g -Wall -pedantic -ansi
INCLUDE=-Ibfp -Ibfp/bfp_etaPFI -I. -Icolamd -Ishared
CFLAGS= -O3 -Wall -pedantic -ansi -mrtd -mno-cygwin -I$(MINGW_INCDIR)\
-DINTEGERTIME -DPARSER_LP -DYY_INTERACTIVE -DWIN32 $(INCLUDE) \
-DBUILDING_FOR_R -DWIN32 -g

# Option -DCHECK checks for numerical problems during rounding of numbers.
# It will slow things down a bit.
# You can add a -DREAL=<float type> to the CFLAGS, to change the default float
# type used in lp_solve (double) to float or 'long double'. However, type float
# might be fast on your computer, but it is not accurate enough to solve even
# moderately sized problems without running into numerical problems.
# The use of long doubles does increase the numerical stability of lp_solve,
# if your compiler actually implements them with more bits than a double. But
# it slows down things quite a bit.

# Choose your favorite or available version of lex and yacc

#YACC= yacc
#especially for linux:
YACC= bison -y

#LEX= lex
#especially for linux:
LEX= flex -l

#LEXLIB= -ll
#especially for linux:
LEXLIB= -lfl

#ANSI math lib
#MATHLIB= -lM
#non-ANSI math lib, should also work
MATHLIB= -lm

LPKSRC.c= $(wildcard *.c) lp_MDO.c \
colamd/colamd.c shared/commonlib.c shared/myblas.c

LEXFILE.l= lp_rlp.l
YACCFILE.y= lp_rlp.y

LPKLIB=liblpk.a

LEXFILE.c= $(LEXFILE.l:.l=.c)
YACCFILE.c= $(YACCFILE.y:.y=.c)
YACCFILE.o= $(YACCFILE.y:.y=.o)
CSOURCES=$(LEXFILE.c) $(YACCFILE.c) $(wildcard *.c)
# commonlib.c fortify.c lp_Hash.c \
# lp_LUMOD.c lp_MPS.c lp_SOS.c lp_crash.c lp_lib.c lp_matrix.c lp_mipbb.c \
# lp_presolve.c lp_price.c lp_pricePSE.c lp_report.c lp_rlp.c lp_scale.c \
# lp_simplex.c lp_solveDLL.c lp_utils.c lp_wlp.c lpslink.c myblas.c \
# yacc_read.c
COBJ=$(CSOURCES:.c=.o)
LPKSRC= $(LPKSRC.c) $(YACCFILE.c)
LPKOBJ= $(LPKSRC:.c=.o)
HEADERS=*.h

all:	lpslink.dll

q8.exe:	q8.o
	$(CC) -o q8.exe $(CFLAGS) \
--allow-multiple-definition \
q8.o colamd/colamd.o shared/commonlib.o \
fortify.o ini.o \
lp_Hash.o lp_LUSOL.o lp_MDO.o lp_MPS.o lp_SOS.o lp_crash.o lp_lib.o \
lp_matrix.o lp_mipbb.o lp_params.o lp_presolve.o lp_price.o lp_pricePSE.o \
lp_report.o lp_rlp.o lp_scale.o lp_simplex.o lp_utils.o lp_wlp.o lpslink.o \
lusol.o mmio.o shared/myblas.o yacc_read.o \
$(MATHLIB) $(LPKLIB) \
-Wl,--allow-multiple-definition


$(COBJ): $(HEADERS)

purify: lp_solve.o $(LPKLIB)
	purify $(CC) -o $(TARGET) $(CFLAGS) lp_solve.o $(LPKLIB) $(LEXLIB) $(MATHLIB)

quantify: lp_solve.o $(LPKLIB)
	quantify $(CC) -o $(TARGET) $(CFLAGS) lp_solve.o $(LPKLIB) $(LEXLIB) $(MATHLIB)

$(LPKLIB): $(LPKOBJ)
	ar rv $@ $(LPKOBJ)
	ranlib $(LPKLIB)

$(YACCFILE.o): $(LEXFILE.c)

$(LEXFILE.c): $(LEXFILE.l)
	$(LEX) $(LEXFILE.l)
	mv lex.yy.c $(LEXFILE.c)

$(YACCFILE.c): $(YACCFILE.y)
	$(YACC) $(YACCFILE.y)
	mv y.tab.c $(YACCFILE.c)

# liblpk.def: lpslink.o
# 	dlltool -z liblpk.def -e exports.o -l liblpk.lib lpslink.o
lpslink.dll: lpslink.o liblpk.def liblpk.a
	$(DLLWRAP) $(DLLWRAP_FLAGS) -o $@ --def liblpk.def \
lpslink.o $(DLL_LDFLAGS) $(DLL_LDLIBS) 



test:
	-for i in $(TESTFILES1); do\
		./$(TARGET) -s -S3 -time < $$i > xxx.tmp;\
		if diff xxx.tmp lp_examples/`basename $$i .lp`.out > /dev/null; then\
			echo "$$i gives the correct result";\
		else\
			echo "*** $$i gives different result, please check ***";\
		fi;\
	done;\
	for i in $(TESTFILES2); do\
		./$(TARGET) -mps -s -S3 -time < $$i > xxx.tmp;\
		if diff xxx.tmp lp_examples/`basename $$i .mps`.out > /dev/null; then\
			echo "$$i gives the correct result";\
		else\
			echo "*** $$i gives different result, please check ***";\
		fi;\
	done;\
        rm xxx.tmp

mktest:
	-for i in $(TESTFILES1); do\
		./$(TARGET) -s -S3 -time < $$i > lp_examples/`basename $$i .lp`.out;\
	done;\
	for i in $(TESTFILES2); do\
		./$(TARGET) -mps -s -S3 -time < $$i > lp_examples/`basename $$i .mps`.out;\
	done;\

$(TARGET).man: $(TARGET).1
	nroff -man $(TARGET).1 > $(TARGET).man

MANIFEST: clean
	ls -lR > MANIFEST; ls -lR > MANIFEST

clean:
	rm -f *.a *.o TAGS $(LEXFILE.c) $(YACCFILE.c) demo $(TARGET) lp2mps mps2lp .pure .softdebughist datafile

TAGS:
	etags *.[chyl]

=== debian/changelog ===
lp-solve (5.5.0.15-4build1) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Jun 2017 22:31:19 +0000

lp-solve (5.5.0.15-4) unstable; urgency=medium

  * debian/patches/08_isnan: Change 0 to 0. in isnan() call to fix FTBFS due
    to 0 not being a floating-point argument, thanks Logan Rosen
    (closes: #825041)

 -- Rene Engelhard <rene@debian.org>  Mon, 23 May 2016 13:09:52 +0000

lp-solve (5.5.0.15-3) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Tue, 17 May 2016 18:40:38 +0200

lp-solve (5.5.0.15-2) experimental; urgency=medium

  * [eb5459b] look in -L../lpsolve55/bin/$PLATFORM for liblpsolve55.so..

 -- Rene Engelhard <rene@debian.org>  Sat, 14 May 2016 15:51:48 +0200

lp-solve (5.5.0.15-1) experimental; urgency=medium

  [ Rene Engelhard ]
  * [0b4ef4f] Imported Upstream version 5.5.0.15
  * [c5a2ce0] bump debian/compat to 9 (closes: #817570)
  * [30f3bfb] split build/install into -arch/-indep (closes: #822053)
  * [3869a4a] dh_installmanpages -> dh_installman
  * [641ec07] dh_clean -k -> dh_prep
  * [aacb9d1] update lp_rlp.c part in debian/copyright

  [ Nelson A. de Oliveira ]
  * [f8f768f] remove outdated (and unnecessary) homepage pseudo-field from
    long description (closes: #593459)

 -- Rene Engelhard <rene@debian.org>  Sat, 14 May 2016 14:48:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Juan Esteban Monsalve Tobon <esteban@v7w.com>
 Uploaders: Rene Engelhard <rene@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: debhelper (>= 4), libsuitesparse-dev (>= 1:3.4.0)
+Build-Depends: debhelper (>= 9), libsuitesparse-dev (>= 1:3.4.0)
 Standards-Version: 3.7.2
 Homepage: http://lpsolve.sourceforge.net
 
@@ -31,8 +31,6 @@
  integer, the Simplex algorithm is iterated with a branch and bound
  algorithm, until the desired optimal solution is found.  lp_solve can
  read MPS format input files.
- .
- Homepage http://www.geocities.com/lpsolve/
 
 Package: lp-solve-doc
 Section: doc
@@ -63,8 +61,6 @@
  .
  This package contains the documentation for the lp_solve program and
  the library.
- .
- Homepage http://www.geocities.com/lpsolve/
 
 Package: liblpsolve55-dev
 Section: libdevel
@@ -94,6 +90,4 @@
  .
  This package contains the static library for developing programs using
  liblpsolve.
- .
- Homepage http://www.geocities.com/lpsolve/

## lp-solve 5.5.2.5

=== debian/changelog ===
lp-solve (5.5.2.5-2ubuntu0.1) noble; urgency=medium

  * d/p/10_ccc_cflags: Recognize cflags in custom 'ccc' build script
  * d/rules: export CFLAGS from dpkg-buildflags, to pick up the
             -fno-omit-frame-pointer flag (LP: #2084527)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 15 Oct 2024 11:49:58 +0200

lp-solve (5.5.2.5-2build4) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:11:37 +0200

lp-solve (5.5.2.5-2build3) mantic; urgency=medium

  * No-change rebuild against libcolamd3

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 14:16:22 +0000

lp-solve (5.5.2.5-2build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:24:58 +0100

lp-solve (5.5.2.5-2build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:20:19 +0200

lp-solve (5.5.2.5-2) unstable; urgency=medium

  * Source-only upload to allow migration to testing.

 -- Rene Engelhard <rene@debian.org>  Wed, 22 Jul 2020 16:47:52 +0000

lp-solve (5.5.2.5-1) unstable; urgency=medium

  * New upstream version
  * d/control: Debian Standars is 4.5.0
  * lp_solve.1: add patches/09_lp_solve.1
    by James Cowgill <james410@cowgill.org.uk>
    Closes: #749555

 -- Juan Esteban Monsalve Tobon <esteban@v7w.com>  Fri, 10 Jul 2020 12:35:39 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: lp-solve
 Section: math
 Priority: optional
-Maintainer: Juan Esteban Monsalve Tobon <esteban@v7w.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Juan Esteban Monsalve Tobon <esteban@v7w.com>
 Uploaders: Rene Engelhard <rene@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: debhelper (>= 9), libsuitesparse-dev (>= 1:3.4.0)
-Standards-Version: 3.7.2
+Standards-Version: 4.5.0
 Homepage: http://lpsolve.sourceforge.net
 
 Package: lp-solve

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
# Copyright (C) 2004-2005 Anibal Monsalve Salazar <anibal@debian.org>.
# Copyright (C) 2005 Juan Esteban Monsalve Tobon <esteban@v7w.com>.
# Copyright (C) 2006-2009 Rene Engelhard <rene@debian.org>
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	cd lpsolve55 && bash -x -e ccc
	cd lp_solve && bash -x -e ccc

	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	# noop
	touch build-indep-stamp
	
clean:
	dh_testdir
	dh_testroot
	cd lpsolve55 && rm -rf bin
	cd lp_solve && rm -rf bin

	rm -f build-*stamp install-*-stamp

	dh_clean

install: install-arch install-indep

install-arch: install-arch-stamp
install-arch-stamp: build-arch-stamp
	dh_testdir -a
	dh_testroot -a
	dh_prep -a
	dh_installdirs -a

	install -D -m 755 lp_solve/bin/*/lp_solve debian/lp-solve/usr/bin/lp_solve
	install -D -m 644 lpsolve55/bin/*/liblpsolve55.a debian/liblpsolve55-dev/usr/lib/liblpsolve55.a
	install -m 644 lpsolve55/bin/*/liblpsolve55_pic.a debian/liblpsolve55-dev/usr/lib/liblpsolve55_pic.a
	install -D -m 644 lpsolve55/bin/*/liblpsolve55.so debian/lp-solve/usr/lib/lp_solve/liblpsolve55.so
	install -d debian/liblpsolve55-dev/usr/include/lpsolve
	for x in lp_*.h; do \
	   install -m 644 $$x debian/liblpsolve55-dev/usr/include/lpsolve/$$x;		\
	done
	install -m 644 shared/*.h debian/liblpsolve55-dev/usr/include/lpsolve/ 
	touch install-arch-stamp

install-indep: install-indep-stamp
install-indep-stamp:
	dh_testdir -i
	dh_testroot -i
	dh_prep -i
	dh_installdirs -i

	touch install-indep-stamp

binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i README.txt
	dh_installdocs -i -plp-solve-doc doc/*
	# the additional gifs and jpgs were not included due to diff.gz reasons. Link to
	# online copies
	for i in `find debian/lp-solve-doc/usr/share/doc/lp-solve-doc -name "*.htm*"`; do \
		perl -pi -e 's,src=\",src=\"http://lpsolve.sourceforge.net/5.5/,g' $$i; \
	done
	dh_installmenu -i
	dh_installcron -i
	dh_installman -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a README.txt
	dh_installexamples -a -pliblpsolve55-dev demo/demo.c
	dh_installmenu -a
	dh_installcron -a
	dh_installman -a
	dh_installinfo -a
	dh_installchangelogs -a
	dh_link -a
	dh_strip -a
	dh_compress -a -X demo.c
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install install-arch install-indep

## lp-solve 5.5.2.11

=== debian/changelog ===
lp-solve (5.5.2.11-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Aug 2024 21:40:47 +0200

lp-solve (5.5.2.11-1) experimental; urgency=medium

  * "New" upstream release (closes: #1008073)
    - does not hardode /tmp anymore in ccc (closes: #875335)

 -- Rene Engelhard <rene@debian.org>  Fri, 26 Jul 2024 20:26:08 +0200

lp-solve (5.5.2.5-3) unstable; urgency=medium

  * debian/patches/10_int_main.diff: add int to main() echos in ccc to
    fix build with gcc 14 (closes: #1075236)
  * debian/warch: add, from #1008073

 -- Rene Engelhard <rene@debian.org>  Fri, 26 Jul 2024 19:19:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lp-solve
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Juan Esteban Monsalve Tobon <esteban@v7w.com>
+Maintainer: Juan Esteban Monsalve Tobon <esteban@v7w.com>
 Uploaders: Rene Engelhard <rene@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: debhelper (>= 9), libsuitesparse-dev (>= 1:3.4.0)
 Standards-Version: 4.5.0

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 
 build: build-arch build-indep

## lp-solve 5.5.2.14

=== debian/changelog ===
lp-solve (5.5.2.14-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change upload for IEEE long double on ppc64el.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 20:34:43 +0200

lp-solve (5.5.2.14-4) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Aug 2025 21:22:28 +0200

lp-solve (5.5.2.14-3) experimental; urgency=medium

  * debian/control: 
    move package to Debian Math Team <team+math@tracker.debian.org>;
    keep old Maintainer/Uploaders as Uploaders; add Vcs-* for new
    salsa repo
  * debian/watch: update for Github 

  * merge from Ubuntu:
    + d/p/10_ccc_cflags: Recognize cflags in custom 'ccc' build script
    + d/rules: export CFLAGS from dpkg-buildflags, to pick up the
              -fno-omit-frame-pointer flag (LP: #2084527)

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Aug 2025 23:57:52 +0200

lp-solve (5.5.2.14-2) experimental; urgency=medium

  * add patch from Helmut Grohne to Fix FTCBFS: (Closes: #1078930)
    + Pass a host compiler to the compilation scripts.
    + Rewrite platform check as compile-only test.
    + Do not fail removal of temporary files that may be missing. 

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Aug 2025 20:53:25 +0200

lp-solve (5.5.2.14-1) experimental; urgency=medium

  * New upstream release 

  * debian/control: update Homepage:

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Aug 2025 20:44:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+
+DPKG_EXPORT_BUILDTOOLS=1
+include /usr/share/dpkg/buildtools.mk
 
 build: build-arch build-indep

=== debian/watch ===
version=4
https://github.com/lp-solve/lp_solve/tags .*/v?(\d.*)@ARCHIVE_EXT@
